#!/bin/bash

if [ ! -d "$GEXTOCR_INSTALLED/cmdline" ] ; then
  echo "    Making directory \"$GEXTOCR_INSTALLED/cmdline\""
  mkdir "$GEXTOCR_INSTALLED/cmdline"
fi


##for d in LIBTIFF LEPTONICA LIBPNG LIBJPEG TESSERACT OCROPUS ; do
for d in LIBTIFF LIBPNG LIBJPEG LEPTONICA TESSERACT  ; do
  echo "    Running CASCADE-MAKE/$d.sh $*"

  ./CASCADE-MAKE/$d.sh $*

  if [ $? != 0 ] ; then
    echo "    Error encountered running CASCADE-COMPILE/$d.sh"
    exit 1
  fi
done
